Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::InvalidPolicies Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::InvalidPolicies:

[legend]
Collaboration diagram for CORBA::InvalidPolicies:

[legend]
List of all members.

## Public Types
typedef _tao_seq_CORBA_UShort_ | _indices_seq
## Public Methods
| InvalidPolicies (void)
| InvalidPolicies (const InvalidPolicies &)
| ~InvalidPolicies (void)
InvalidPolicies & | operator= (const InvalidPolicies &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
| InvalidPolicies (const _tao_seq_CORBA_UShort_ &_tao_indices)
virtual CORBA::TypeCode_ptr | _type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Methods
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
InvalidPolicies * | _downcast (CORBA::Exception *)
| The narrow operation.
CORBA::Exception * | _alloc (void)
## Public Attributes
_tao_seq_CORBA_UShort_ | indices

## Member Typedef Documentation

typedef _tao_seq_CORBA_UShort_ CORBA::InvalidPolicies::_indices_seq

## Constructor & Destructor Documentation

CORBA::InvalidPolicies::InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const InvalidPolicies & |  | ) |

CORBA::InvalidPolicies::~InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const _tao_seq_CORBA_UShort_ & | _tao_indices | ) |

## Member Function Documentation

CORBA::Exception * CORBA::InvalidPolicies::_alloc | ( | void |  | ) | `[static]`

CORBA::InvalidPolicies * CORBA::InvalidPolicies::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::InvalidPolicies::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void CORBA::InvalidPolicies::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

virtual void CORBA::InvalidPolicies::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * CORBA::InvalidPolicies::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

virtual void CORBA::InvalidPolicies::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr CORBA::InvalidPolicies::_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::Exception.

InvalidPolicies& CORBA::InvalidPolicies::operator= | ( | const InvalidPolicies & |  | ) |

## Member Data Documentation

_tao_seq_CORBA_UShort_ CORBA::InvalidPolicies::indices

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp